﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace LocalizationDemo.Converters
{
    public class IntToKeyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            // Pretty arbitrary
            if (!(value is int))
                return null;

            var intValue = (int)value;
            switch (intValue)
            {
                case 1:
                    return "StringWithNoValues";
                case 2:
                    return "StringWithOneValue";
                case 3:
                    return "StringWithTwoValues";
                default:
                    return null;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
